import { axios } from '@/utils/request'

// 重置密码
export const resetPSD = params => {
  return axios({
    url: 'yyuser/resetPwd',
    data: params,
    method: 'POST'
  })
}
// 启用禁用
export const updateEnableStatus = params => {
  return axios({
    url: `yyuser/enable/${params.id}/${params.flag}`,
    data: {},
    method: 'get'
  })
}
// 分页查询用户
export const getPowerUserList = params => {
  const url = `yyuser/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 删除用户接口
export const delectUserPower = params => {
  return axios({
    url: `yyuser/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 查询所有角色
export const getRoleList = params => {
  return axios({
    url: 'yyrole/findAll',
    data: params,
    method: 'POST'
  })
}
// 保存用户
export const saveUserPower = params => {
  return axios({
    url: 'yyuser/save',
    data: params,
    method: 'POST'
  })
}
