import { axios } from '@/utils/request'

// 查询门店明细
export const findStoreDetail = params => {
  return axios({
    url: `/store/findDetail/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 分页查询门店列表
export const findStoreList = params => {
  const url = `/store/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 保存门店组织机构
export const saveStoreOrg = params => {
  return axios({
    url: '/store/saveOrg',
    data: params,
    method: 'post'
  })
}
