import { axios } from '@/utils/request'

export const listLookUp = params => {
  const url = `/lookup/queryLike`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

export const saveLookUp = params => {
  return axios({
    url: '/lookup/save',
    data: params,
    method: 'post'
  })
}

export const delLookUp = params => {
  return axios({
    url: `/lookup/delete/${params.id}`,
    method: 'get'
  })
}

export const getLookUpItem = (params) => {
  const url = `/lookupItem/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

export const delLookUpItem = params => {
  return axios({
    url: `/lookupItem/delete/${params.id}`,
    method: 'get'
  })
}
export const saveLookUpItem = params => {
  return axios({
    url: '/lookupItem/save',
    data: params,
    method: 'post'
  })
}
// 查询省
export const getProvince = () => {
  return axios.request({
    url: `/area/PROVINCE`,
    method: 'get'
  })
}
// 查询市
export const getCityByPro = params => {
  return axios.request({
    url: `/area/CITY/${params.id}`,
    method: 'get'
  })
}
// 查询区
export const getDistrictByCity = params => {
  return axios.request({
    url: `/area/DISTRICT/${params.id}`,
    method: 'get'
  })
}
