import { axios } from '@/utils/request'

// 门店绑定设备信息
export const bindVsDevice = params => {
  return axios({
    url: '/storeVsDevice/bindVsDevice',
    data: params,
    method: 'post'
  })
}
// 查询门店设备信息
export const findStoreVsDevice = params => {
  return axios({
    url: `/storeVsDevice/findStoreVsDevice/${params.code}`,
    data: {},
    method: 'get'
  })
}
// 根据设备编号查询设备信息
export const findVsDevice = params => {
  return axios({
    url: `/storeVsDevice/findVsDevice/${params.id}`,
    data: {},
    method: 'get'
  })
}
// 门店解绑设备信息
export const unbindVsDevice = params => {
  return axios({
    url: '/storeVsDevice/unbindVsDevice',
    data: params,
    method: 'post'
  })
}
